<?

// базовые функции для управления вторичными формами программы
class Form_children {

	public $fmName;
	public $ui_form;

	function __construct($fmName) {
		$this->fmName = $fmName;
		$this->ui_form = get_ui($fmName);
	}

	// доступ к объектам формы без необходимости указывать ее имя
	public function ui($ui_name) {
		return get_ui($this->fmName . '->'.$ui_name);
	}

	// открытие формы
	public function open() {
		return $this->ui_form->showModal(); // из-за этой хрени, таймер ожидания диска не запускается.
		//ShowForm($this->fmName, SW_SHOW); //это окно не будет блокировать родительское
	}

	// закрытие формы
	public function close() {
		HideForm($this->fmName, SW_SHOW);
		$this->ui_form->close();
	}

}


?>